TransformerException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transformer.TransformerException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transformer
Class TransformerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.endpoint.EndpointException
                      org.mule.api.transformer.TransformerException

All Implemented Interfaces:
  Serializable

    public class TransformerException

extends EndpointException

`TransformerException` is a simple exception that is thrown by transformers.

See Also:
  Serialized Form

Constructor Summary
`TransformerException(List transformers, Throwable cause)`
`TransformerException(Message message)`
`TransformerException(Message message, List transformers)`
`TransformerException(Message message, List transformers, Throwable cause)`
`TransformerException(Message message, Throwable cause)`
`TransformerException(Message message, Transformer transformer)`
`TransformerException(Message message, Transformer transformer, Throwable cause)`
`TransformerException(Transformer transformer, Throwable cause)`

Method Summary
`Transformer` | `getTransformer()`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerException

    public TransformerException(Message message,
                                Transformer transformer)

Parameters:
  `message` - the exception message

### TransformerException

    public TransformerException(Message message,
                                List transformers)

### TransformerException

    public TransformerException(Message message,
                                Transformer transformer,
                                Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### TransformerException

    public TransformerException(Message message,
                                List transformers,
                                Throwable cause)

### TransformerException

    public TransformerException(Transformer transformer,
                                Throwable cause)

### TransformerException

    public TransformerException(List transformers,
                                Throwable cause)

### TransformerException

    public TransformerException(Message message,
                                Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### TransformerException

    public TransformerException(Message message)

Parameters:
  `message` - the exception message

Method Detail

### getTransformer

    public Transformer getTransformer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.